Bug 488208 - (CVE-2009-0586) CVE-2009-0586 gstreamer-plugins-base: integer overflow in gst_vorbis_tag_add_coverart()
CVE-2009-0586 gstreamer-plugins-base: integer overflow in gst_vorbis_tag_add_...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
source=redhat,reported=20090114,publi...
: Security
Depends On: 488210 488212 833906
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-03 03:12 EST by Tomas Hoger
Modified: 2016-03-04 06:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-07 12:48:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream patch (2.45 KB, patch)
2009-03-04 08:14 EST, Tomas Hoger
no flags Details | Diff

  None (edit)
Description Tomas Hoger 2009-03-03 03:12:46 EST
An integer overflow flaw was discovered in the gst_vorbis_tag_add_coverart().  Large COVERART comment tag value can cause memory requirements computation to overflow, resulting in an insufficient memory to be allocated and the allocated buffer overflow when comment tag value is base64-decoded:

gst_vorbis_tag_add_coverart() in gst-libs/gst/tag/gstvorbistag.c:

319 
320   img_data = g_try_malloc0 (base64_len * 3 / 4);
321
Comment 2 Tomas Hoger 2009-03-03 03:18:28 EST
Note: This problem did not exist in version of gstreamer-plugins-base as shipped in Red Hat Enterprise Linux 5 prior to 5.3.  It was only introduced in the gstreamer-plugins-base rebase in 5.3.
Comment 5 Tomas Hoger 2009-03-04 08:14:28 EST
Created attachment 333999 [details]
Upstream patch
Comment 7 errata-xmlrpc 2009-04-06 12:31:59 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:0352 https://rhn.redhat.com/errata/RHSA-2009-0352.html

Note You need to log in before you can comment on or make changes to this bug.